﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;
using System.Drawing;
using System.Diagnostics;
//using System.Collections.Generic;

namespace ID3TagEditLite {
    public static class Program {
        public static string theApName = "ID3TagEditLite 1.0.2";
        public static List<FormMain> m_mainFormList = new List<FormMain>();
        public static Preferences thePref = new Preferences();
        public static TGenreManager theGenre = new TGenreManager();

        public static FormMain NewFormMain(int gap, Rectangle userRect) {
            FormMain f = new FormMain();
            //f.windowIndex = CalcMainFormWindowIndex();
            m_mainFormList.Add(f);
            f.SetupNewWindowRect(gap, userRect);
            f.Visible = true;
            return f;
        }

        public static void DisposeFormMain(FormMain f) {
            m_mainFormList.Remove(f);
            if (m_mainFormList.Count == 0)
                Application.Exit();
        }
        
        /// <summary>
        /// アプリケーションのメイン エントリ ポイントです。
        /// </summary>
        //[STAThread]
        [STAThreadAttribute]
        static void Main(string[] args) {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            Process p = Process.GetCurrentProcess();
            string name = p.ProcessName;
            Process[] ps = Process.GetProcessesByName(p.ProcessName);
            foreach (Process t in ps) {
                if (p.Id != t.Id) {
                    return;
                }
            }
            
            thePref.Beginning();
            theGenre.Setup();
            FormMain f = NewFormMain(0, Program.thePref.userBounds);
            f.m_bFirstWindow = true;
            f.AddMP3Files(args);
            Application.Run();
            thePref.Ending();
        }
    }
}