using System;
using System.Collections.Generic;
using System.Text;

namespace ID3TagEditLite {
    public class TTools {
        public static bool StringToInteger(ref int result, string value) {
            try {
                result = Int32.Parse(value);
                return true;
            }
            catch {
                result = 0;
                return false;
            }
        }

        public static byte[] UnionByteArray(byte[] a1, byte[] a2) {
            byte[] result = new byte[a1.Length + a2.Length];
            for (int i = 0; i < a1.Length; i++) {
                result[i] = a1[i];
            }
            for (int i = 0; i < a2.Length; i++) {
                result[a1.Length + i] = a2[i];
            }
            return result;
        }
    }
}
